Package com.destroystokyo.paper.event.server

# Class GS4QueryEvent.QueryResponse.Builder

java.lang.Object
com.destroystokyo.paper.event.server.GS4QueryEvent.QueryResponse.Builder

Enclosing class:
  GS4QueryEvent.QueryResponse

public static final class GS4QueryEvent.QueryResponse.Builder extends Object
A builder for `GS4QueryEvent.QueryResponse` objects.

## Method Summary

Modifier and Type
Method
Description
`@NotNull GS4QueryEvent.QueryResponse`
`build()`
Builds new `GS4QueryEvent.QueryResponse` with supplied data
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`clearPlayers()`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`clearPlugins()`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`currentPlayers(int currentPlayers)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`gameVersion(@NotNull String gameVersion)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`hostname(@NotNull String hostname)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`map(@NotNull String map)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`maxPlayers(int maxPlayers)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`motd(@NotNull String motd)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`players(@NotNull String... players)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`players(@NotNull Collection<String> players)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`plugins(@NotNull GS4QueryEvent.QueryResponse.PluginInformation... plugins)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`plugins(@NotNull Collection<GS4QueryEvent.QueryResponse.PluginInformation> plugins)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`port(int port)`
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`serverVersion(@NotNull String serverVersion)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### motd

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder motd(@NotNull @NotNull String motd)

### gameVersion

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder gameVersion(@NotNull @NotNull String gameVersion)

### map

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder map(@NotNull @NotNull String map)

### currentPlayers

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder currentPlayers(int currentPlayers)

### maxPlayers

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder maxPlayers(int maxPlayers)

### hostname

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder hostname(@NotNull @NotNull String hostname)

### port

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder port(int port)

### players

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder players(@NotNull @NotNull Collection<String> players)

### players

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder players(@NotNull @NotNull String... players)

### clearPlayers

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder clearPlayers()

### serverVersion

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder serverVersion(@NotNull @NotNull String serverVersion)

### plugins

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder plugins(@NotNull @NotNull Collection<GS4QueryEvent.QueryResponse.PluginInformation> plugins)

### plugins

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder plugins(@NotNull @NotNull GS4QueryEvent.QueryResponse.PluginInformation... plugins)

### clearPlugins

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder clearPlugins()

### build

@NotNull public @NotNull GS4QueryEvent.QueryResponse build()
Builds new `GS4QueryEvent.QueryResponse` with supplied data

Returns:
  response